Subject: Re: bug#57256: Very long lines displayed in debugger window

From: uzibalqa <[email-masked]>
Date: Wed, 17 Aug 2022 03:48:40 +0000

------- Original Message -------
On Wednesday, August 17th, 2022 at 3:37 AM, Phil Sainty <[email-masked]> wrote:

> On 2022-08-17 14:24, uzibalqa wrote:
>
> > > You can also simply M-x toggle-truncate-lines
> >
> > Would be much better to prettify the display and fitting it in the
> > debugger window automatically.
>
>
> Conversely, a debugger frame might have a HUGE amount of data in that
> truncated information, yet it might be a frame you don't care about,
> and then you might have many pages of prettified output to get past in
> order to see what you're actually interested in, which is irritating.
>
> So I think even with prettified output, being able to toggle that is
> going to be a necessary feature.
>
> > Reduces the amount of continuous typing we all have to do during
> > our interaction with emacs.
>
>
> FWIW I highly recommend binding `toggle-truncate-lines' to a key
> sequence (I have it on "s-\") as I find it's a very helpful thing to
> have trivially available (i.e. without much typing) in all kinds of
> situations.

If that is the case (huge amount of data) can there be a debug customisation
variable that regulates the display, so users can decide what they prefer to
see by default?